%define _root_libdir    /%{_lib}

Summary: Generic Security Services Application Programming Interface Library
Name: libgssglue
Version: 0.4
%define base_release .2
Release: 2%{?dist}%{?base_release}
URL: http://www.citi.umich.edu/projects/nfsv4/linux/
License: GPL+
Source0:http://www.citi.umich.edu/projects/nfsv4/linux/%{name}/%{name}-%{version}.tar.gz
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: krb5-libs >= 1.5

Provides: libgssapi = %{version}-%{release}
Provides: libgssapi-devel = %{version}-%{release}
Obsoletes: libgssapi <= 0.11 libgssapi-devel <= 0.11

Patch0: libgssglue-0.1-gssglue.patch

%description
This library exports a gssapi interface, but doesn't implement any gssapi
mechanisms itself; instead it calls gssapi routines in other libraries,
depending on the mechanism.

%package devel
Summary: Development files for the gssclug library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package includes header files and libraries necessary for
developing programs which use the gssapi library.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags} all 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_sysconfdir}
mkdir -p %{buildroot}%{_root_libdir}
mkdir -p %{buildroot}%{_libdir}/pkgconfig
make DESTDIR=%{buildroot} install \
	libdir=%{_root_libdir} pkgconfigdir=%{_libdir}/pkgconfig
install -p -m 644 doc/gssapi_mech.conf %{buildroot}/%{_sysconfdir}/gssapi_mech.conf
rm -f %{buildroot}/%{_root_libdir}/*.{a,la}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README
%{_root_libdir}/libgssglue.so.*
%config(noreplace) %{_sysconfdir}/gssapi_mech.conf

%files devel
%defattr(0644,root,root,755)
%{_root_libdir}/libgssglue.so
%dir %{_includedir}/gssglue
%dir %{_includedir}/gssglue/gssapi
%{_includedir}/gssglue/gssapi/gssapi.h
%{_libdir}/pkgconfig/libgssglue.pc

%changelog
* Thu May 16 2013 baseuser@ibm.com
- Base-8.x spec file
